* { 
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background-color:#F3F5FC;
    font-family: 'Inter';
    min-height: 100vh;
}

a {
    color: #0A3871;
    text-decoration: none;
    font-weight: 700;
}

a:hover {
    font-size: 1.02rem;
}

.logo {
    margin: 1.1rem;
    width: 1.6rem;
}

.main {
    align-items: center;
    display: flex;
    flex-direction: column;
    padding-bottom: 3rem;
}

.campo-input {
    background-color: #F3F5FC;
    border: 1px hidden #F3F5FC;
    color: #0A3871;  
    font-size: 1.2rem;
    height: 10rem;  
}

.campo-input::placeholder {
    color: #0A3871;
    font-size: 1.5rem;
}

.informacao {
    display: flex;
    align-items: center;
    font-size: .9rem;
    margin-top: 2rem;
}

.informacao img {
    margin-right: 0.15rem;
    width: 15px;
}

.botoes {
    align-items: center;
    display: flex;
    margin: 2rem 0;
    gap: 1rem;
    flex-direction: column;
}

.encriptar, .desencriptar, .copy {
    border: 1px solid #0A3871;
    border-radius: 18px;
    font-size: 1.2rem;
    height: 3.5rem;
    width: 85%;
}

.encriptar {
    background-color: #0A3871;
    color: #FFFF;
}

.desencriptar, .copy {
    background-color: #D8DFE8; 
    color: #0A3871;   
}

.encriptar:hover, .desencriptar:hover, .copy:hover {
    scale: 1.02;
    transition: all;
    transition-duration: 300ms;
}

.secao-output {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.campo-output {
    border: 1px solid #0A3871;
    border-radius: 12px;
    color: #0A3871;
    font-size: 1.3rem;
    height: 9rem;
    margin-bottom: 1rem;
}

input:focus {
    box-shadow: 0 0 0 0;
    outline: 0;
}

footer {
    background-color: #E8BE3A;
    color:#0A3871;
    padding: 0.5rem 0;
    position: absolute;
    bottom: 0;
    text-align: center;
    width: 100%;
}

/*MEDIA QUERIES*/

@media (min-width: 680px) {
    .logo {
        margin: 2rem;
        width: 2rem;
    }

    .main {
        flex-direction: row;
        justify-content: center;
    }

    .secao-input {
        width: 45%;
        height: 30rem;
    }

    .campo-input { 
        font-size: 1.5rem;
        height: 14rem;  
        width: 80%;
    }

    .informacao {
        font-size: 1rem;
    }

    .informacao img {
        margin-right: 0.4rem;
    }

    .botoes {
        align-items: flex-start;
        margin-top: 6rem;
    }

    .encriptar, .desencriptar, .copy {
        font-size: 1.3rem;
    }

    .secao-output {
        margin-left: 5rem;
    }

    .campo-output {
        background-image: url("../assets/images/pessoinha1x.png");
        background-position: center;
        background-repeat: no-repeat;
        height: 24rem;
        font-size: 1.4rem;
    }

    @media (min-width: 769px) {  
        .logo {
            margin: .8rem;
            width: 1.3rem;
        }

        .botoes {
            margin-top: 3rem;
        }

    }

}